Bug 1692827 - puppet-octavia: TripleO should configure server_certs_key_passphrase for Octavia
Summary: puppet-octavia: TripleO should configure server_certs_key_passphrase for Octavia
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-octavia
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 15.0 (Stein)
Assignee: Nir Magnezi
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 14:07 UTC by Nir Magnezi
Modified: 2019-09-26 10:48 UTC (History)
1 user (show)

Fixed In Version: puppet-octavia-14.4.1-0.20190531010416.59081dd.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1718896 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:20:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1821751 0 None None None 2019-03-26 14:07:38 UTC
OpenStack gerrit 647502 0 None None None 2019-03-26 14:07:38 UTC
OpenStack gerrit 661950 0 None None None 2019-06-10 12:22:25 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:27 UTC

Description Nir Magnezi 2019-03-26 14:07:39 UTC
Description of problem:
=======================
A recent change[1] to Octavia added a parameter named server_certs_key_passphrase, which means that we should generate a password for it to avoid using the default value.

OctaviaServerCertsKeyPassphrase should be added to the list of generated password/secrets.

[1] https://review.openstack.org/#/q/I06d329ca53bc36bd27f7870ae7c7ca0cf18575b2

Comment 3 Nir Magnezi 2019-06-10 12:22:25 UTC
Merged to upstream master: https://review.opendev.org/#/c/647502/
Merged to stable/stein: https://review.opendev.org/#/c/661950/

Comment 7 errata-xmlrpc 2019-09-21 11:20:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.